Subject: Re: File version at a specific date?

From: Jakub Narebski <[email-masked]>
Date: Mon, 31 Jul 2006 20:24:04 +0200

Alexander ZVYAGIN wrote:

> I failed to find in the documentation how to look to a file content
> at some moment in a past.
> 
> Something like this:
> $ git checkout master~2 Makefile
> when I specify not the revisions numbers ago the file was (~2),
> but the time, for example "2005-12-12 00:00:00" or something like this.
> 
> Where should I look at?

Either use git rev-list with --since=datestring, --after=datestring,
--until=datestring, --before=datestring to find a commit, or if you have
reflog enabled (you have .git/logs/refs/) you can use @{date} syntax,
see 'man git-rev-parse'

"A suffix @ followed by a date specification enclosed in a brace pair  (e.g.
 {yesterday},  {1  month  2 weeks 3 days 1 hour 1 second ago} or {1979-02-26
 18:30:00}) to specify the value of the ref at a prior point in  time.  This
 suffix  may  only be used immediately following a ref name and the ref must
 have an existing log ($GIT_DIR/logs/<ref>)."

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git